Network Services API

Service: networkservices.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://networkservices.googleapis.com

REST Resource: v1beta1.projects.locations

Methods
get GET /v1beta1/{name=projects/*/locations/*}
Gets information about a location.
list GET /v1beta1/{name=projects/*}/locations
Lists information about the supported locations for this service.

REST Resource: v1beta1.projects.locations.authzExtensions

Methods
create POST /v1beta1/{parent=projects/*/locations/*}/authzExtensions
Creates a new AuthzExtension resource in a given project and location.
delete DELETE /v1beta1/{name=projects/*/locations/*/authzExtensions/*}
Deletes the specified AuthzExtension resource.
get GET /v1beta1/{name=projects/*/locations/*/authzExtensions/*}
Gets details of the specified AuthzExtension resource.
list GET /v1beta1/{parent=projects/*/locations/*}/authzExtensions
Lists AuthzExtension resources in a given project and location.
patch PATCH /v1beta1/{authzExtension.name=projects/*/locations/*/authzExtensions/*}
Updates the parameters of the specified AuthzExtension resource.

REST Resource: v1beta1.projects.locations.lbEdgeExtensions

Methods
create POST /v1beta1/{parent=projects/*/locations/*}/lbEdgeExtensions
Creates a new LbEdgeExtension resource in a given project and location.
delete DELETE /v1beta1/{name=projects/*/locations/*/lbEdgeExtensions/*}
Deletes the specified LbEdgeExtension resource.
get GET /v1beta1/{name=projects/*/locations/*/lbEdgeExtensions/*}
Gets details of the specified LbEdgeExtension resource.
list GET /v1beta1/{parent=projects/*/locations/*}/lbEdgeExtensions
Lists LbEdgeExtension resources in a given project and location.
patch PATCH /v1beta1/{lbEdgeExtension.name=projects/*/locations/*/lbEdgeExtensions/*}
Updates the parameters of the specified LbEdgeExtension resource.

REST Resource: v1beta1.projects.locations.lbRouteExtensions

Methods
create POST /v1beta1/{parent=projects/*/locations/*}/lbRouteExtensions
Creates a new LbRouteExtension resource in a given project and location.
delete DELETE /v1beta1/{name=projects/*/locations/*/lbRouteExtensions/*}
Deletes the specified LbRouteExtension resource.
get GET /v1beta1/{name=projects/*/locations/*/lbRouteExtensions/*}
Gets details of the specified LbRouteExtension resource.
list GET /v1beta1/{parent=projects/*/locations/*}/lbRouteExtensions
Lists LbRouteExtension resources in a given project and location.
patch